//#  eulerN -- program for statistical estimation of Euler characteristic of a 3-dimensional body
//#  given as a sufficiently dense "volumetric" point sampling
//#
//#  Copyright (c) 2005-2007 Bradford Jones, Konstantin Rybnikov, Karen Daniels, Daniel Klain
//#  Release 2: 1 June 2007 
//#
//#  This program is free software; you can redistribute it and/or modify it
//#  under the terms of the GNU General Public License as published by the
//#  Free Software Foundation; either version 2, or (at your option) any
//#  later version: http://www.gnu.org/licenses/gpl.txt.
//#
//#  This program is distributed in the hope that it will be useful,
//#  but WITHOUT ANY WARRANTY; without even the implied warranty of
//#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//#  GNU General Public License for more details.
//#-----------------------------------------------------------------------------

#ifndef D2_POINT
#define D2_POINT
#include "math_vector.h"
class d2point
{
	private:
		double x//#  Copyright (c) 2005 Bradford Jones, Konstantin Rybnikov, Karen Daniels, Daniel Klain
//#
//#  This program is free software; you can redistribute it and/or modify it
//#  under the terms of the GNU General Public License as published by the
//#  Free Software Foundation; either version 2, or (at your option) any
//#  later version: http://www.gnu.org/licenses/gpl.txt.
//#
//#  This program is distributed in the hope that it will be useful,
//#  but WITHOUT ANY WARRANTY; without even the implied warranty of
//#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//#  GNU General Public License for more details.
//#-----------------------------------------------------------------------------
;
		double y;
	public:
		d2point()
		{
			x = y = 0;
		}
		d2point(double xcor, double ycor)
		{
			x = xcor;
			y = ycor;
		}
		d2point(math_vector &v)
		{
			x = v[0]; y = v[1];
		}
		double xcoord() {return x;}
		double ycoord() {return y;}
		math_vector to_vector()
		{
			return math_vector(x, y);
		}
		bool operator == (const d2point &rhs)
		{
			if (x == rhs.x && y == rhs.y)
				return true;
			else
				return false;
		}
};
#endif


